Package ru.bitel.oss.systems.inventory.product.server.bean

# Class ProductPeriodDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<ProductPeriod>
ru.bitel.common.dao.AbstractIdDao<ProductPeriod>
ru.bitel.oss.systems.inventory.product.server.bean.ProductPeriodDao

All Implemented Interfaces:
  `AutoCloseable`

public class ProductPeriodDao extends ru.bitel.common.dao.AbstractIdDao<ProductPeriod>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProductPeriodDao(Connection con, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `addFlag(int id, int flag)`
  `Map<Integer,List<ProductPeriod>>`
  `contractProductPeriodListMap(Date timeTo)`
  `int`
  `deleteByProductId(int contractId, int id)`
  `protected ProductPeriod`
  `getFromRS(ResultSet rs)`
  `List<ProductPeriod>`
  `list(int contractId, int productId)`
  `List<ProductPeriod>`
  `list(int moduleId, int contractId, int accountId, boolean kernel, Date time)`
  `List<ProductPeriod>`
  `list(int moduleId, int contractId, int accountId, boolean kernel, Date timeFrom, Date timeTo, boolean needNonActive)`
  `void`
  `update(ProductPeriod b)`
  `protected void`
  `updateImpl(ProductPeriod productPeriod)`
  `int`
  `updatePeriod(int id, Date time, Date prolongationTime)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProductPeriodDao

    public ProductPeriodDao(Connection con, int userId)

- ## Method Details

  - ### getFromRS

    protected ProductPeriod getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<ProductPeriod>`
    Throws:
      `SQLException`

  - ### update

    public void update(ProductPeriod b) throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `update` in class `ru.bitel.common.dao.AbstractDao<ProductPeriod>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(ProductPeriod productPeriod) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<ProductPeriod>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### addFlag

    public int addFlag(int id, int flag) throws SQLException
    Throws:
      `SQLException`

  - ### updatePeriod

    public int updatePeriod(int id, Date time, Date prolongationTime) throws SQLException
    Parameters:
      `id` -
      `flag` -
    Returns:
    Throws:
      `SQLException`
    See Also:
      - `ProductPeriod`

  - ### list

    public List<ProductPeriod> list(int moduleId, int contractId, int accountId, boolean kernel, Date time) throws SQLException
    Throws:
      `SQLException`

  - ### contractProductPeriodListMap

    public Map<Integer,List<ProductPeriod>> contractProductPeriodListMap(Date timeTo) throws SQLException
    Throws:
      `SQLException`

  - ### list

    public List<ProductPeriod> list(int moduleId, int contractId, int accountId, boolean kernel, Date timeFrom, Date timeTo, boolean needNonActive) throws SQLException
    Throws:
      `SQLException`

  - ### deleteByProductId

    public int deleteByProductId(int contractId, int id) throws Exception
    Throws:
      `Exception`

  - ### list

    public List<ProductPeriod> list(int contractId, int productId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`